Subject: Re: bug#74370: Module aware go build system (for Guix)
From: Steve George <[email-masked]>
To: J??rgen Kvalsvik <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 8 Apr 2025 14:49:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I think there's a common misunderstanding that if you comment on a bug it won't actually notify the submitter (you have to email NNNN-submitter). It's because debbugs was modelled on the idea that there's an "end-user" who's only interest is the initial submission and a final nnnn-done@ email to tell them it's all solved now!

OK, I'm closing #74370. Then you can create a new one when you submit you're new and improved one. Hopefully you and Sharlatan can collaborate on this!

Futurile / Steve

On  8 Apr, J??rgen Kvalsvik wrote:
> Hi,
> 
> I don't know what happened, but as you point out I never received
> Sharlatan's emails.
> 
> Anyways, there is still interest, but the approach I proposed is not great.
> I have since (re)written the module aware build system with much better
> results. I am currently adding a bunch of packages (for my own needs) in
> order to get some experience with it and sand down some rough edges, before
> I plan to resubmit the new build system upstream.
> 
> Thanks,
> J??rgen
> 
> On 4/8/25 15:03, Steve George wrote:
> > Hi J??rgen,
> > 
> > You submitted a module aware go build system, there were some queries about it from Sharlatan as there's been a range of attempts at improving this area. Just making you aware so you can reply if you're still interested:
> > 
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74370
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74374
> > 
> > I don't think you were notified as responses have to go to NNNN-submitter for the original reporter to be send the email.
> > 
> > Thanks,
> > 
> > Futurile / Steve
> > 
> > 
>